Set the cardinality of a predicate schema
POST
/api/v1/predicate-schemas/{name}/cardinality
const url = 'https://api.yggy.tech/api/v1/predicate-schemas/example/cardinality';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"cardinality":"FUNCTIONAL"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/predicate-schemas/example/cardinality \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "cardinality": "FUNCTIONAL" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” name
required
string
Header Parameters
Section titled “Header Parameters ” host
string | null
x-yggy-organization-id
string | null
Request Body
Section titled “Request Body ” Media type application/json
object
cardinality
required
string
Responses
Section titled “ Responses ”Updated
Update failed
Media type application/json
object
error
required
string
Example generated
{ "error": "example"}